
Ruby - Bug #11051

Addrinfo#marshal_load がメモリーリーク

04/08/2015 05:03 PM - tommy (Masahiro Tomita)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.2.2p88 (2015-03-25)

[x86_64-linux]

Backport: 2.0.0: WONTFIX, 2.1: DONE, 2.2: DONE

Description

Addrinfo#marshal_load がメモリーリークしているように思います。

diff --git a/ext/socket/raddrinfo.c b/ext/socket/raddrinfo.c

index e13684a..d838898 100644

--- a/ext/socket/raddrinfo.c

+++ b/ext/socket/raddrinfo.c

@@ -1643,6 +1643,7 @@ addrinfo_mload(VALUE self, VALUE ary)

 

         len = res->ai->ai_addrlen;

         memcpy(&ss, res->ai->ai_addr, res->ai->ai_addrlen);

+        rb_freeaddrinfo(res);

         break;

       }

     }

Associated revisions

Revision 816504c29c6fd304a7179882899a83db6c9cb2f1 - 04/08/2015 11:24 PM - nobu (Nobuyoshi Nakada)

raddrinfo.c: fix memory leak

ext/socket/raddrinfo.c (addrinfo_mload): fix memory leak of

addrinfo.  [ruby-dev:48923] [Bug #11051]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50187 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 816504c2 - 04/08/2015 11:24 PM - nobu (Nobuyoshi Nakada)

raddrinfo.c: fix memory leak

ext/socket/raddrinfo.c (addrinfo_mload): fix memory leak of

addrinfo.  [ruby-dev:48923] [Bug #11051]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50187 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e358e2f89964ed1950d64d040218cd80add26b72 - 05/21/2015 04:26 AM - U.Nakamura 

merge revision(s) 50187,50202: [Backport #11051]

    * ext/socket/raddrinfo.c (addrinfo_mload): fix memory leak of

      addrinfo.  [ruby-dev:48923] [Bug #11051]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@50575 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e358e2f8 - 05/21/2015 04:26 AM - U.Nakamura 

merge revision(s) 50187,50202: [Backport #11051]

    * ext/socket/raddrinfo.c (addrinfo_mload): fix memory leak of

      addrinfo.  [ruby-dev:48923] [Bug #11051]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@50575 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 645b4e113054fbe2e2d7eb119116ae5b676e153d - 05/23/2015 05:42 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 50187,50202: [Backport #11051]
    * ext/socket/raddrinfo.c (addrinfo_mload): fix memory leak of

      addrinfo.  [ruby-dev:48923] [Bug #11051]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@50623 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 645b4e11 - 05/23/2015 05:42 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 50187,50202: [Backport #11051]

    * ext/socket/raddrinfo.c (addrinfo_mload): fix memory leak of

      addrinfo.  [ruby-dev:48923] [Bug #11051]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@50623 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/08/2015 11:24 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset r50187.

raddrinfo.c: fix memory leak

ext/socket/raddrinfo.c (addrinfo_mload): fix memory leak of

addrinfo.  [ruby-dev:48923] [Bug #11051]

#2 - 05/21/2015 02:18 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN to 2.0.0: WONTFIX, 2.1: REQUIRED, 2.2: REQUIRED

#3 - 05/21/2015 04:27 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: WONTFIX, 2.1: REQUIRED, 2.2: REQUIRED to 2.0.0: WONTFIX, 2.1: DONE, 2.2: REQUIRED

ruby_2_1 r50575 merged revision(s) 50187,50202.

#4 - 05/23/2015 05:43 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.0.0: WONTFIX, 2.1: DONE, 2.2: REQUIRED to 2.0.0: WONTFIX, 2.1: DONE, 2.2: DONE

Backported into ruby_2_2 at r50623.
